# SheerColdAccuracyAttr | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class SheerColdAccuracyAttr

Base class defining all `Move` Attributes

#### See

`apply`

#### Hierarchy (View Summary)

- OneHitKOAccuracyAttr
  - SheerColdAccuracyAttr

- Defined in src/data/moves/move.ts:5276

##### Index

### Constructors

constructor

### Properties

selfTarget

### Methods

apply
getCondition
getFailedText
getTargetBenefitScore
getUserBenefitScore

## Constructors

### constructor

- new SheerColdAccuracyAttr(selfTarget?: boolean): SheerColdAccuracyAttr

  #### Parameters

  - selfTarget: boolean = false

  #### Returns SheerColdAccuracyAttr

  Inherited from OneHitKOAccuracyAttr.constructor

  - Defined in src/data/moves/move.ts:1073

## Properties

### selfTarget

selfTarget: boolean

Should this `Move` target the user?

Inherited from OneHitKOAccuracyAttr.selfTarget

- Defined in src/data/moves/move.ts:1071

## Methods

### apply

- apply(user: default , target: default , move: default , args: any[]): boolean

  Changes the normal One Hit KO Accuracy Attr to implement the Gen VII changes, where if the user is Ice-Type, it has more accuracy.

  #### Parameters

  - user: default

    Pokemon that is using the move; checks the Pokemon's level.

  - target: default

    Pokemon that is receiving the move; checks the Pokemon's level.

  - move: default

    N/A

  - args: any[]

    Uses the accuracy argument, allowing to change it from either 0 if it doesn't pass the first if/else, or 30/20 depending on the type of the user Pokemon.

  #### Returns boolean

  Returns true if move is successful, false if misses.

  Overrides OneHitKOAccuracyAttr.apply

  - Defined in src/data/moves/move.ts:5287

### getCondition

- getCondition(): null | MoveCondition | MoveConditionFunc

  #### Returns null | MoveCondition | MoveConditionFunc

  the `MoveCondition` or MoveConditionFunc for this `Move`

  Inherited from OneHitKOAccuracyAttr.getCondition

  - Defined in src/data/moves/move.ts:1095

### getFailedText

- getFailedText(user: default , target: default , move: default ): undefined | string

  #### Parameters

  - user: default

    `Pokemon` using the move

  - target: default

    `Pokemon` target of the move

  - move: default

    `Move` with this attribute

  #### Returns undefined | string

  the string representing failure of this `Move`

  Inherited from OneHitKOAccuracyAttr.getFailedText

  - Defined in src/data/moves/move.ts:1106

### getTargetBenefitScore

- getTargetBenefitScore(user: default , target: default , move: default ): number

  Used by the Enemy AI to rank an attack based on a given target

  #### Parameters

  - user: default
  - target: default
  - move: default

  #### Returns number

  #### See

  `EnemyPokemon.getNextMove`

  Inherited from OneHitKOAccuracyAttr.getTargetBenefitScore

  - Defined in src/data/moves/move.ts:1124

### getUserBenefitScore

- getUserBenefitScore(user: default , target: default , move: default ): number

  Used by the Enemy AI to rank an attack based on a given user

  #### Parameters

  - user: default
  - target: default
  - move: default

  #### Returns number

  #### See

  `EnemyPokemon.getNextMove`

  Inherited from OneHitKOAccuracyAttr.getUserBenefitScore

  - Defined in src/data/moves/move.ts:1115